# rpmqv.c File Reference

`#include "system.h"`
`#include <rpmcli.h>`
`#include <rpmbuild.h>`
`#include "debug.h"`

Go to the source code of this file.

## Defines

#define | _AUTOHELP
#define | POPT_NODEPS 1025
#define | POPT_FORCE 1026
#define | POPT_NOMD5 1027
#define | POPT_NOSCRIPTS 1028
#define | GETOPT_DBPATH 1010
#define | GETOPT_SHOWRC 1018
#define | GETOPT_DEFINEMACRO 1020
#define | GETOPT_EVALMACRO 1021
#define | MODES_QV (MODE_QUERY | MODE_VERIFY)
#define | MODES_IE (MODE_INSTALL | MODE_ERASE)
#define | MODES_BT (MODE_BUILD | MODE_TARBUILD | MODE_REBUILD | MODE_RECOMPILE)
#define | MODES_K (MODE_CHECKSIG | MODE_RESIGN)
#define | MODES_DB (MODE_INITDB | MODE_REBUILDDB | MODE_VERIFYDB)
#define | MODES_FOR_DBPATH (MODES_BT | MODES_IE | MODES_QV | MODES_DB)
#define | MODES_FOR_NODEPS (MODES_BT | MODES_IE | MODE_VERIFY)
#define | MODES_FOR_TEST (MODES_BT | MODES_IE)
#define | MODES_FOR_ROOT (MODES_BT | MODES_IE | MODES_QV | MODES_DB)

## Enumerations

enum | modes { MODE_QUERY = (1 << 0), MODE_VERIFY = (1 << 3), MODE_QUERYTAGS = (1 << 9), MODE_INSTALL = (1 << 1), MODE_ERASE = (1 << 2), MODE_BUILD = (1 << 4), MODE_REBUILD = (1 << 5), MODE_RECOMPILE = (1 << 8), MODE_TARBUILD = (1 << 11), MODE_CHECKSIG = (1 << 6), MODE_RESIGN = (1 << 7), MODE_INITDB = (1 << 10), MODE_REBUILDDB = (1 << 12), MODE_VERIFYDB = (1 << 13), MODE_UNKNOWN = 0 }

## Functions

static void | argerror (const char *desc)
static void | printVersion (void)
static void | printBanner (void)
static void | printUsage (void)
int | main (int argc, const char **argv)

## Variables

int | _ftp_debug
int | noLibio
int | _rpmio_debug
int | _url_debug
static int | help = 0
static int | noUsageMsg = 0
static const char * | pipeOutput = NULL
static int | quiet = 0
static const char * | rcfile = NULL
static char * | rootdir = "/"
static int | showrc = 0
static int | showVersion = 0
static struct poptOption | rpmAllPoptTable []
static struct poptOption | optionsTable []

## Define Documentation

#define _AUTOHELP

Definition at line 3 of file rpmqv.c.

#define GETOPT_DBPATH 1010

Definition at line 33 of file rpmqv.c.

#define GETOPT_DEFINEMACRO 1020

Definition at line 35 of file rpmqv.c.

#define GETOPT_EVALMACRO 1021

Definition at line 36 of file rpmqv.c.

#define GETOPT_SHOWRC 1018

Definition at line 34 of file rpmqv.c.

#define MODES_BT (MODE_BUILD | MODE_TARBUILD | MODE_REBUILD | MODE_RECOMPILE)

#define MODES_DB (MODE_INITDB | MODE_REBUILDDB | MODE_VERIFYDB)

#define MODES_FOR_DBPATH (MODES_BT | MODES_IE | MODES_QV | MODES_DB)

Definition at line 71 of file rpmqv.c.

#define MODES_FOR_NODEPS (MODES_BT | MODES_IE | MODE_VERIFY)

Definition at line 72 of file rpmqv.c.

#define MODES_FOR_ROOT (MODES_BT | MODES_IE | MODES_QV | MODES_DB)

Definition at line 74 of file rpmqv.c.

#define MODES_FOR_TEST (MODES_BT | MODES_IE)

Definition at line 73 of file rpmqv.c.

#define MODES_IE (MODE_INSTALL | MODE_ERASE)

#define MODES_K (MODE_CHECKSIG | MODE_RESIGN)

#define MODES_QV (MODE_QUERY | MODE_VERIFY)

#define POPT_FORCE 1026

Definition at line 17 of file rpmqv.c.

#define POPT_NODEPS 1025

Definition at line 16 of file rpmqv.c.

#define POPT_NOMD5 1027

Definition at line 18 of file rpmqv.c.

#define POPT_NOSCRIPTS 1028

Definition at line 19 of file rpmqv.c.

## Enumeration Type Documentation

enum modes

Enumerator:

  MODE_QUERY |
  MODE_VERIFY |
  MODE_QUERYTAGS |
  MODE_INSTALL |
  MODE_ERASE |
  MODE_BUILD |
  MODE_REBUILD |
  MODE_RECOMPILE |
  MODE_TARBUILD |
  MODE_CHECKSIG |
  MODE_RESIGN |
  MODE_INITDB |
  MODE_REBUILDDB |
  MODE_VERIFYDB |
  MODE_UNKNOWN |

Definition at line 41 of file rpmqv.c.

## Function Documentation

static void argerror | ( | const char * | desc | ) | `[static]`

Definition at line 220 of file rpmqv.c.

int main | ( | int | argc,
|  | const char ** | argv |
| ) |  |  |

Definition at line 284 of file rpmqv.c.

static void printBanner | ( | void |  | ) | `[static]`

Definition at line 235 of file rpmqv.c.

static void printUsage | ( | void |  | ) | `[static]`

Definition at line 243 of file rpmqv.c.

static void printVersion | ( | void |  | ) | `[static]`

Definition at line 228 of file rpmqv.c.

## Variable Documentation

int _ftp_debug

Definition at line 118 of file rpmio.c.

int _rpmio_debug

Definition at line 123 of file rpmio.c.

int _url_debug

Definition at line 34 of file url.c.

int help = 0`[static]`

Definition at line 93 of file rpmqv.c.

int noLibio

Definition at line 100 of file rpmio.c.

int noUsageMsg = 0`[static]`

Definition at line 95 of file rpmqv.c.

struct poptOption optionsTable[]`[static]`

Definition at line 162 of file rpmqv.c.

const char* pipeOutput = NULL`[static]`

Definition at line 97 of file rpmqv.c.

int quiet = 0`[static]`

Definition at line 99 of file rpmqv.c.

const char* rcfile = NULL`[static]`

Definition at line 101 of file rpmqv.c.

char* rootdir = "/"`[static]`

Definition at line 103 of file rpmqv.c.

struct poptOption rpmAllPoptTable[]`[static]`

Definition at line 110 of file rpmqv.c.

int showrc = 0`[static]`

Definition at line 105 of file rpmqv.c.

int showVersion = 0`[static]`

Definition at line 107 of file rpmqv.c.